﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="CHM_reader" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>CHM阅读</title>
	<link href="Themes/Default/skin.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
		div
		{
			-moz-user-select:-moz-none;
			-webkit-user-select:none;
		}
		html
		{
			background-color: Black;
			overflow: hidden;
		}
		body
		{
			background-color: #000000;
			margin: 0px;
			padding: 0px;
			overflow: hidden;
			padding-bottom: 40px;
			font-family:宋体;
			font-size:12px;
		}
		.loading_output
		{
			padding: 16px;
			color: White;
			overflow: hidden;
		}
		.loading_output .message
		{
			font-family: Courier New;
			font-size: 20px;
			padding-top: 2px;
			padding-bottom: 2px;
			width:100%;
		}
		.loading_output .message .text
		{
			font-family: Courier New;
			font-size: 20px;
			width:80%;
		}
		.loading_output .message .success
		{
			font-size: 20px;
		    color:#009900;
			text-align:right;
			width:80%;
		}
		.loading_output .message .fail
		{
			font-size: 20px;
		    color:#990000;
			text-align:right;
			width:80%;
		}
		.loading_output .message .fail_msg
		{
			font-size: 20px;
		    padding-top:2px;
		    color:#990000;
			width:100%;
		}
	</style>
	
	<script src="json2.js" type="text/javascript"></script>
	
	<script language="javascript" type="text/javascript">
	    function GetParams()
	    {
	        var pairs = window.location.search.substr(1, window.location.search.length - 1).split("&");
	        var params = {};
	        for (var i in pairs)
	        {
	            var vs = pairs[i].split("=");
	            params[vs[0]] = vs[1];
	        }
	        return params;
	    }

	    var Params = GetParams();
	    
	    var DEBUG = true;
	    var Version = "1.0.1.0";
	    var Login_Page = null;
	    var Solution = "CHM";

	    var HHC = null;
	    var Info = null;
	    var FileName = null;
	    var BaseUrl = null;
    </script>
	
	<script src="Core.js" type="text/javascript"></script>

	<script language="javascript" type="text/javascript">

	    function OutputPanel_Ctor()
	    {
	        var m_Output = document.getElementById("Output");

	        this.Show = function()
	        {
	            m_Output.style.display = 'block';
	        }
	        this.Hide = function()
	        {
	            m_Output.style.display = 'none';
	        }
	        this.Write = function(message)
	        {
	            var msgDiv = document.createElement("DIV");
	            msgDiv.innerHTML = message;
	            msgDiv.className = 'message';
	            m_Output.appendChild(msgDiv);
	            msgDiv = null;
	        }
	        this.Clear = function()
	        {
	            m_Output.innerHTML = "";
	        }
	    }

	    var OutputPanel = null;

	    window.onload = function()
	    {
	        var data = System.ParseJson(document.getElementById("chm_data").value);
	        HHC = data.HHC;
	        FileName = data.FileName
	        Info = data.Info;
	        BaseUrl = data.ApplicationPath + "/__CHM/" + FileName;
	        
	        document.title = Info.Title;
	        
	        OutputPanel = new OutputPanel_Ctor();
	        System.Initialize(
			    {
			        Debug: true
			    }
		    );

	        window.onbeforeunload = function()
	        {
	            return "关闭窗口后所有数据将丢失";
	        }
	    }
    </script>
</head>
<body>
	<div id="Output" class="loading_output"></div>
	<input runat="server" id="chm_data" name="chm_system" type="hidden" value="" />
</body>
</html>
